PHP is amongst the most commonly used server-side programming languages. It is quite popular since it is free software, which can be used to create responsive sites like community portals, web stores or online teaching sites as opposed to static HTML websites. A PHP module must be activated on the web server where a PHP-driven site is hosted so that its source code can be ‘decoded’. Since there are no license charges for this kind of module and the language itself offers innumerable possibilities for the web apps that you develop, there’re hundreds of millions of PHP websites. Plus, there are a vast number of open-source PHP scripts, which you can use for your sites without having to possess any programming skills. Since there are a number of PHP versions, you need to confirm that the same version that you used while setting up your site is available on the web server too.
PHP 4, PHP 5 and PHP 7 Support in Shared Web Hosting
We have made a conscious decision not to prevent our current and future customers from picking the PHP version that their websites will be using, so if you get a shared web hosting plan from us, you’ll be able to choose between versions 4, 5 and 7, not only for the account in general, but also for each domain name that you host. This can be done with just one click from our custom-built Hepsia Control Panel via which all accounts are managed, so you will not need any technical or programming experience. You’ll be able to host websites built with both new and old PHP scripts without having to deal with any hindrances, so if you would like to abandon your present web host and migrate over to us, you can be sure that all the sites that you have developed over the years will continue to run correctly.
PHP 4, PHP 5 and PHP 7 Support in Semi-dedicated Servers
Even in case your websites were created with an earlier version of PHP, you will be able to host them in a semi-dedicated server account from us, since we support different versions running at the same time on our servers and each of them can be enabled for your account with no more than a click of the mouse through our custom-built Hepsia Control Panel. Other than the latest PHP 7, we also offer support for 5.3, 5.2 and the older PHP 4, which has already been abandoned by the great majority of hosting vendors, but we strongly reckon that you should not be compelled to modify a site that took several years to create, as older script language syntax doesn’t invariably mean security flaws. Quite the opposite, a properly maintained site using PHP 4 can be more secure than an incorrectly maintained one using PHP 5. For your convenience’s sake, we’ll also offer you the possibility to select a different version of PHP for each site within your account.